function prepare_data(type,dirnm)
%patient_code-> the name of the file with the patients' info
%dirnm->'OCD', 'Controls', etc
%type->'High', 'Low', 'Mean'
%the funtion creates the 3D array AMP(X,Y,Z)
%where X:number of node(1-15), Y:number of observations(512), Z:number of persons in the category


%enter the appropriate location
dirname = ['C:\MATLAB\work\DATA\' dirnm];
cd (dirname);
if strcmp(type,'Mean')==1
    str2 = [''];
    stx = ['General-Means'];
else
    if strcmp(type,'High')==1
        str2 = ['-high'];
        stx = ['High-Means'];
    else
        if strcmp(type,'Low')==1
            str2 = ['-low'];
            stx = ['Low-Means'];
        else
            error('No such type available');
        end
    end
end
%BEGIN loop for each patient
patient_code = [dirnm '.txt'];
f=fopen(patient_code,'rt');
if f==-1
   error('The file does not exist');
end
code=fgetl(f);
col=1;
while code ~=-1,
   if ~isempty(code),
      fprintf('%s\n',code);
   end
   strcode = upper(code);%['Z' code];
   cd(strcode); %ALTER
   cd(stx);     %ALTER
    %begin loop for each node
    for l=2:16
        xstr = num2str(l);
        if l<10
            try
                A=load(['Z' strcode,'_0' ,xstr, str2, '.dat']);
           catch
                A(1:512,1)=0;
            end
        else
            try
                A=load(['Z' strcode,'_' ,xstr, str2, '.dat']);
            catch
                A(1:512,1)=0;
            end
        end 
        AMP(l-1,1:512,col) = A(:,1);
   %end loop for each node
   end
   col=col+1;
   code=fgetl(f);
%END of loop for each patient
cd ('..');  %ALTER
cd ('..');  %ALTER
end
fclose(f);
%enter the name of the mat file to be created
tmp = [dirnm '_data'];
%conver to microvolts from volts
%if strcmp(type,'High')==1 | strcmp(type,'Low')==1
%AMP = 1000000*AMP;
%end
%-------------------------------
%dirname = ['C:\MATLAB\work\MC\data'];%['C:\Matlab\work\' type '\' dirnm];
cd ('..');
save (tmp,'AMP');